<div  class="laoder" *ngIf="loading" >
  <mat-progress-bar mode="indeterminate"></mat-progress-bar>
</div>
<div class="camScan" *ngIf="enable" (click)="closeCam()">
  <div *ngIf="errorCam" class="errorCamera">
    <i class="icon-close icons"></i>
    <p>Votre camera ne fonctionne pas</p>
  </div>
  <zxing-scanner
    class="cam"
    (camerasNotFound)="notFoundCam()"
    (camerasFound)="sdevices($event)"
    [enable]="enable"
    (scanSuccess)="onCodeResult($event)"
  ></zxing-scanner>
</div>
<div class="camScan" *ngIf="accommodationName">
  <div class="AlertMsg">
    <div class="AlertMsgTitle">
      Alert
    </div>
    <div class="AlertMsgBody">
      Voulez vous déclancher la mise en rebut de l'hebergement {{accommodationName}} ?
    </div>
    <div class="AlertMsgAction">
      <button
        mat-stroked-button
        type="button"
        class="actionButton"
        data-toggle="modal"
        (click)="accommodationName=''"
      >
        Non
      </button>
      <button
        mat-stroked-button
        type="button"
        class="actionButton"
        data-toggle="modal"
        (click)="getElements()"
      >
        Oui
      </button>
    </div>
  </div>
</div>
<div *ngIf="step === 1" class="init">
  <div>
    <button
      mat-stroked-button
      type="button"
      class="addButton"
      data-toggle="modal"
      (click)="scanQrCode()"
    >
      Scanner le code de reconnaissance
    </button>
  </div>
  <div class="inputCode">
    <mat-form-field
      hintLabel="Max 10 characters"
      style="width: 100%"
      appearance="fill"
    >
      <mat-label style="color: black">Entrer le Code</mat-label>
      <input
        [(ngModel)]="scanResult"
        style="color: black"
        matInput
        placeholder="#34ae"
        required
        #code="ngModel"
      />
      <mat-icon matSuffix>dialpad</mat-icon>
      <mat-hint align="end">{{ code.value?.length || 0 }}/10</mat-hint>
    </mat-form-field>
  </div>
  <div *ngIf="errorCode" class="errorElement">Ce code n'existe pas</div>
  <div>
    <button
      [disabled]="code.invalid"
      type="button"
      class="btn ContinueButton"
      (click)="confirmCode()"
    >
      Continue
    </button>
  </div>
</div>
<div *ngIf="step === 2" class="init selectElementM">
  <div class="AlertMsgTitle">
    La mise en rebut d'un hébergement va concerner les élements suivants
  </div>
  <div class="multipleSelectElement">
    <mat-selection-list #shoes [(ngModel)]="selectedOptions"  (ngModelChange)="onNgModelChange($event)">
      <div>
      <mat-list-option *ngFor="let shoe of elements" [value]="shoe['id']">
        {{shoe['element_type']['name']}}
      </mat-list-option>
      </div>
    </mat-selection-list>
   <!-- <p>
      Options selected: {{shoes.selectedOptions.selected.length}}
    </p>!-->
  </div>
  <button
    mat-stroked-button
    type="button"
    class="SuivantBtn"
    data-toggle="modal"
    (click)="terminer()"
  >
    TERMINER
  </button>
</div>
